<!DOCTYPE html>
<html lang="en-ie">
  <head>
    <meta charset="UTF-8"/>
    <title>Skynet Alumni Renewal</title>
    <link href="../images/favicon/favicon-16x16.png" rel="icon" type="image/png"/>
    <link href="../main.css" rel="stylesheet" type="text/css"/>
  </head>
  <body>
    <div class="wrapper">
      <header class="page-header">
        <img alt="Sharky, our mascot" height="81.56" src="../images/sharky.svg" width="145"/>
        <h1>Skynet Account Recovery</h1>
      </header>
      <main class="page-body">
        <h1>Jan 2023 Downtime & Account Recovery</h1>
        <p>
          In Jan 2023 we had extended downtime, for more information checkout <a href="https://public.skynet.ie/postmortem/2023-01-12_Loss-of-network-access.html" target="_blank" rel="noopener">this link.</a>
          <br/>
          The next section will outline the changes that have been made in the last year while the subsequent one will deal with Account Recovery.
        </p>

        <h2>Service Changes</h2>
        <p>
          As a result of the upgrade/migration/downtime there have been several changes to services.
          <br/>
          Some of these are due to security requirements, others are due to some old software being difficult to source, some are because we have worked with UL Wolves to create a new API to automate many processes.
        </p>
        <h4>Additions:</h4>
        <ul>
          <li>
            <p>
              Account self management page: <a href="https://account.skynet.ie" target="_blank" rel="noopener">https://account.skynet.ie</a>
              <br/>
              This allows new members to sign up, existing members to change account details (password, contact email, ssh keys), and for password resets.
            </p>
          </li>
          <li>
            <p>
              <a href="https://gitlab.skynet.ie" target="_blank" rel="noopener">https://gitlab.skynet.ie</a>
              <br/>
              Our own Gitlab instance with runners, the cluster config and pipelines are <a href="https://gitlab.skynet.ie/compsoc1/skynet/nixos" target="_blank" rel="noopener">here</a>.
              <br/>
              User: <code>$username</code>
              <br/>
              Pass: <code>$password</code>
            </p>
          </li>
          <li>
            <p>
              <a href="https://nextcloud.skynet.ie/" target="_blank" rel="noopener">https://nextcloud.skynet.ie/</a>
              <br/>
              A replacement for Google Drive, has Open Office, maps and a good email suite.
              <br/>
              User: <code>$username</code> or <code>$username@skynet.ie</code>
              <br/>
              Pass: <code>$password</code>
            </p>
          </li>
          <li>
            <p>
              A <a href="https://gitlab.skynet.ie/compsoc1/skynet/discord-bot" target="_blank" rel="noopener">Discord Bot</a> to manage the roles of members in our <a href="https://discord.skynet.ie" target="_blank" rel="noopener">Discord</a>
            </p>
          </li>
        </ul>

        <h4>Changes:</h4>
        <ul>
          <li>
            <p>
              Usernames have been converted to comply with modern linux standards.
              <br />
              Usernames with uppercase have been converted to lowercase.
              <br />
              Usernames starting with a number have been prefixed by a <code>_</code>
            </p>

            <ul>
              <li>
                <code>UserName</code> is now <code>username</code>.
              </li>
              <li>
                <code>0username</code> is now <code>_0username</code>.
              </li>
            </ul>
          </li>
          <li>
            <p>
              Webmail is now available at <a href="https://mail.skynet.ie" target="_blank" rel="noopener">https://mail.skynet.ie</a>
              <br/>
              Still roundcube which should be familiar.
              <br/>
              User: <code>$username@skynet.ie</code>
              <br/>
              Pass: <code>$password</code>
            </p>
          </li>
          <li>
            <p>
              For Thunderbird use these:
              <br/>
              User: <code>$username@skynet.ie</code>
              <br/>
              Pass: <code>$password</code>
            </p>
          </li>
          <li>
            SSH now requires an ssh key (can be set in the account page above)
          </li>
          <li>
            SSH access is now on <code>skynet.skynet.ie</code>
          </li>
          <li>
            <p>
              Personal sites are now accessible as <code>$username.users.skynet.ie</code> (new format) as opposed to <code>skynet.ie/~$username</code> (old format)
              <br/>
              Any old format links will redirect to the new format for compatability.
              <br/>
              This gives us separation from the core Skynet site.
            </p>
          </li>
          <li>
            Old home data can be found in <code>/skynet_old/home/$username</code>
          </li>
          <li>
            Old emails (prior to 2023-01-12) can be found in the <code>skynet_old</code> folder in your mail account.
          </li>
        </ul>
        <h4>Email Aliases:</h4>
        <ul>
          <li>
            We are currently working on associating aliases with the Skynet account they are for.
          </li>
          <li>
            This creates a separate mail account that shares the same password as the base Skynet account.
          </li>
          <li>
            If you believe an alias is missing please get in contact with us (Details are below)
          </li>
          <li>
            Currently, no new aliases are planned, but this may change in the future.
          </li>
        </ul>
        <h4>Removals:</h4>
        <ul>
          <li>
            Lifetime and 10 year memberships ceased to exist in 2019.
          </li>
          <li>
            Email terminal clients are no longer available.
          </li>
        </ul>


        <h2>Account Recovery</h2>
        <p class="p1">
          Reminder:
          <br />
          To hold a Skynet account you must be a current member of the UL Computer society.
          <br/>
          This is done through UL Wolves (<a href="https://ulwolves.ie" target="_blank" rel="noopener">https://ulwolves.ie</a>).
          <br/>
          There are no exceptions to this.
        </p>

        <p>
          There are 5 possible workflows for getting back up and running again:
        </p>
        <ol>
          <li>
            You know your Skynet <code>user/pass</code> and your UL Wolves <code>user/pass</code>.
          </li>
          <li>
            You know your Skynet <code>user/pass</code> but not your UL Wolves <code>user/pass</code>.
          </li>
          <li>
            You know your Skynet <code>user/pass</code> but do not have a UL Wolves account.
          </li>
          <li>
            You know your UL Wolves <code>user/pass</code> but not your Skynet <code>user/pass</code>.
          </li>
          <li>
            You do not know your Skynet <code>user/pass</code> and your UL Wolves <code>user/pass</code>.
          </li>
        </ol>

        <h4>You do not know your UL Wolves <code>user/pass</code></h4>
        <ul>
          <li>
            If you signed up with a non UL/Skynet account there is a password reset process: <a href="https://ulwolves.ie/login/help" target="_blank" rel="noopener">https://ulwolves.ie/login/help</a>
          </li>
          <li>
            If you forgot your UL Wolves username Contact Us (see below) and we may be able to inform you what username(s) you had used.
          </li>
          <li>
            If you forgot your UL Wolves password and your UL Wolves username was a <code>@skynet.ie</code> email then follow steps below to create a new account.
          </li>
        </ul>

        <h4>You do not have a UL Wolves account.</h4>
        <ol>
          <li>
            Follow steps 1-6 on <a href="https://renew.skynet.ie" target="_blank" rel="noopener">https://renew.skynet.ie</a>
          </li>
        </ol>


        <h4>You know your UL Wolves <code>user/pass</code></h4>
        <ol>
          <li>
            <p>
              On our Society page (<a href="https://ulwolves.ie/society/computer" target="_blank" rel="noopener">https://ulwolves.ie/society/computer</a>) Request Membership
              <br/>
              (steps 7-8 on <a href="https://renew.skynet.ie" target="_blank" rel="noopener">https://renew.skynet.ie</a>)
            </p>
          </li>
          <li>
            <p>
              Either pay €10 for 1 year online (we can approve instantly once we see the request).
              <br/>
              Or pay €40 for 5 years following steps 9-11 on <a href="https://renew.skynet.ie" target="_blank" rel="noopener">https://renew.skynet.ie</a>.
              <br/>
              (May take a little while to verify with the bank account.)
            </p>
          </li>
          <li>
            Go to the account page: <a href="https://ulwolves.ie/memberships/profile" target="_blank" rel="noopener">https://ulwolves.ie/memberships/profile</a>
          </li>
          <li>
            For the <code>Preferred Contact Email</code> set a <b>NON-Skynet</b> Email
          </li>
        </ol>

        <h4>You know your Skynet <code>user/pass</code></h4>
        <ol>
          <li>
            Go to <a href="https://account.skynet.ie/modify" target="_blank" rel="noopener">https://account.skynet.ie/modify</a>
          </li>
          <li>
            Set the <code>Email</code> to be the <code>Preferred Contact Email</code> from wolves
          </li>
          <li>
            If you want to ssh in also set an ssh key.
          </li>
        </ol>

        <h4>You do not know your Skynet <code>user/pass</code></h4>
        <ul>
          <li>
            Get in contact with us and we will see what we can do.
            <br/>
            We have a few methods that may be able to link your Skynet account with an address you currently possess.
          </li>
        </ul>


        <h4>Contact us</h4>
        <ul>
          <li>
            Email: compsoc@skynet.ie
          </li>
          <li>
            Discord: ping @committee on <a href="https://discord.skynet.ie">our discord</a> (there is a <code>#help-and-support</code> channel).
          </li>
        </ul>


      </main>
      <footer class="page-footer">
        UL Computer Society 2020-<span id="year">2023</span>
        <script>
          document.getElementById('year').textContent = new Date().getFullYear().toString()
        </script>
      </footer>
    </div>
  </body>
</html>